/* BE Challenge Styles */

/* Sidebar visibility */
@media (min-width: 575px) {
    .sidebarvisible {
        display: none;
    }
}

/* Card styles */
.card {
    border: 1px solid rgba(0,0,0,.125);
    border-radius: .25rem;
}

/* Authentication button */
#authenticationButton {
    margin-left: 50px;
    margin-right: auto;
    height: 41px;
    width: 195px;
    font-size: 12pt;
    background: -webkit-gradient(linear, left top, left bottom, from(#fc4c02), to(#fc4c02));
    background: -o-gradient(linear, left top, left bottom, from(#fc4c02), to(#fc4c02));
    background: -ms-gradient(linear, left top, left bottom, from(#fc4c02), to(#fc4c02));
    border-color: #f97443 #d13f16 #d13f16 #f97443;
    border-radius: 5px;
    cursor: pointer;
}

#authenticationSpan {
    color: white;
}

/* Responsive design - Mobile */
@media (max-width: 768px) {
    .container,
    .container-fluid {
        padding: 0px;
    }
}

@media (max-width: 575px) {
    .mymap {
        height: calc((var(--vh, 1vh) * 100) - 76px) !important;
        margin-top: 76px;
    }

    .body {
        overflow-y: hidden !important;
    }

    .container,
    .container-fluid {
        position: fixed;
    }

    .remainder {
        display: none;
    }

    .detaillist-sm {
        display: block;
    }

    .detaillist-md {
        display: none;
    }
}

/* Map styles */
.mymap {
    height: 475px;
}

@media (min-width: 576px) {
    .detaillist-sm {
        display: none;
    }

    .detaillist-md {
        display: block;
    }
}

.container {
    padding-top: 0px;
    padding-bottom: 0px;
    top: 0px !important;
}

/* Overlay */
#overlay {
    position: fixed;
    display: block;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0,0,0,0.5);
    z-index: 5000;
    cursor: pointer;
}
